Sync dune-common 2.4.1-1 and related packages (universe) from Debian unstable (main)

Bug #1567322 reported by Ansgar Burchardt on 2016-04-07
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
dune-common (Ubuntu)
Undecided
Unassigned
dune-geometry (Ubuntu)
Undecided
Unassigned
dune-grid (Ubuntu)
Undecided
Unassigned
dune-grid-glue (Ubuntu)
Undecided
Unassigned
dune-istl (Ubuntu)
Undecided
Unassigned
dune-localfunctions (Ubuntu)
Undecided
Unassigned
dune-pdelab (Ubuntu)
Undecided
Unassigned
dune-typetree (Ubuntu)
Undecided
Unassigned

Bug Description

Please sync
    dune-common 2.4.1-1
    dune-geometry 2.4.1-1
    dune-grid 2.4.1-1
    dune-istl 2.4.1-1
    dune-localfunctions 2.4.1-1
    dune-pdelab 2.4.1-1
    dune-typetree 2.4.1-1
(universe) from Debian unstable (main)

This also requires rebuilding dune-grid-glue 2.4.0-1 (universe).

Some of the CMake scripts included broke with newer cmake versions
(which should include the versions in Xenial), making the packages
only usable with the (deprecated) autotools-based build scripts.

Some of the packages (dune-typetree, dune-pdelab) are pre-release
versions or snapshots. I would prefer if Ubuntu shipped a stable
release, especially for a LTS release.

Changelog entries since current xenial version 2.4.0-1:

dune-common (2.4.1-1) unstable; urgency=medium

  * New upstream release.
  * Mark libdune-common-dev as Multi-Arch: same.

 -- Ansgar Burchardt <email address hidden> Mon, 29 Feb 2016 10:19:18 +0100

dune-common (2.4.1~rc2-1) experimental; urgency=medium

  * New upstream release candidate.

 -- Ansgar Burchardt <email address hidden> Sun, 28 Feb 2016 13:18:16 +0100

Adam Conrad (adconrad) wrote :

All synced. Will do the dune-grid-glue rebuild once the rest are published.

Changed in dune-grid (Ubuntu):
status: New → Fix Released
Changed in dune-common (Ubuntu):
status: New → Fix Released
Changed in dune-geometry (Ubuntu):
status: New → Fix Released
Changed in dune-pdelab (Ubuntu):
status: New → Fix Released
Changed in dune-localfunctions (Ubuntu):
status: New → Fix Released
Changed in dune-istl (Ubuntu):
status: New → Fix Released
Changed in dune-typetree (Ubuntu):
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package dune-grid-glue - 2.4.0-1build1

---------------
dune-grid-glue (2.4.0-1build1) xenial; urgency=medium

  * Rebuild against the latest dune-grid-glue upload (LP: #1567322)

 -- Adam Conrad <email address hidden> Thu, 07 Apr 2016 08:07:50 -0600

Changed in dune-grid-glue (Ubuntu):
status: New → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers